---
title: "Query multiple selling programs"

doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/product/sales-plan-group/query-multiple-selling-programs'
  md: 'https://developer.shopline.com/docs/admin-rest-api/product/sales-plan-group/query-multiple-selling-programs.md'
---
# Query multiple selling programs

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_selling_plan_group`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /selling_plan_group/selling_plan_group.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_selling_plan_group`

## Request

### Query Parameters

* `create_at_max`

  string (optional)

  Create time before xxx ( format see IOS8601 )

* `create_at_min`

  string (optional)

  Creation time starts from XXX (see IOS8601 for the format)

* `limit`

  integer (optional)

  Limit of query , default 50 , can not exceed 250

* `name`

  string (optional)

  Sales plan group name , fuzzy query

* `page_info`

  string (optional)

  The unique identifier for pagination queries, used to locate a specific page. 
  
  This parameter value is obtained from the `link` value in the response header of this API after you have queried the pagination information. 
  
  For example, if the `link` value you obtained is `<https://{handle}.myshopline.com/admin/openapi/{version}/selling_plan_group/selling_plan_group.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel="next"` , the value of `page_info` is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` . 
  For more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).

* `since_id`

  string (optional)

  Start with specify selling plan group id query

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

* `link`

  The URL link that provides the pagination data. You can obtain `page_info` from this parameter for subsequent pagination requests. 
  
  This parameter is returned when the requested page has a previous or next page. 
  
  For more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).

### Response Body

#### 200

* `selling_plan_group_list`

  array<object>

  List of sales plan groups

  * `options`

    array<string>

    List of sales plan group options

  * `position`

    integer

    Display location

  * `product_count`

    integer

    Associated Product count

  * `app_id`

    string

    Sales channel id

  * `description`

    string

    Description

  * `id`

    string

    Sales plan group id

  * `merchant_code`

    string

    Show the name to the seller

  * `name`

    string

    Sales plan group name


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "externalDocs": {
    "description": "Permission point used by the interface is `read_selling_plan_group` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "mT6wk4by",
  "parameters": [
    {
      "name": "create_at_max",
      "in": "query",
      "description": "Create time before xxx ( format see IOS8601 )",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "create_at_max",
        "description": "Create time before xxx ( format see IOS8601 )",
        "type": "string",
        "example": "2022-01-07T14:38:25.734+08:00"
      },
      "example": "2022-01-07T14:38:25.734+08:00",
      "examples": {
        "Specify time\t": {
          "value": "2023-09-07T14:38:25.734+08:00"
        }
      }
    },
    {
      "name": "create_at_min",
      "in": "query",
      "description": "Creation time starts from XXX (see IOS8601 for the format)",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "create_at_min",
        "description": "Creation time starts from XXX (see IOS8601 for the format)",
        "type": "string",
        "example": "2022-01-07T14:38:25.734+08:00"
      },
      "example": "2022-01-07T14:38:25.734+08:00",
      "examples": {
        "Specify time\t": {
          "value": "2023-08-07T14:38:25.734+08:00"
        }
      }
    },
    {
      "name": "limit",
      "in": "query",
      "description": "Limit of query , default 50 , can not exceed 250",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "limit",
        "description": "Limit of query , default 50 , can not exceed 250",
        "type": "integer",
        "example": 50
      },
      "example": 50,
      "examples": {
        "Specify time\t": {
          "value": "50"
        },
        "Specify name": {
          "value": "50"
        },
        "Specify page info": {
          "value": "2"
        },
        "Specify since id": {
          "value": "50"
        }
      }
    },
    {
      "name": "name",
      "in": "query",
      "description": "Sales plan group name , fuzzy query",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "name",
        "description": "Sales plan group name , fuzzy query",
        "type": "string",
        "example": "Discount"
      },
      "example": "Discount",
      "examples": {
        "Specify name": {
          "value": "name"
        }
      }
    },
    {
      "name": "page_info",
      "in": "query",
      "description": "The unique identifier for pagination queries, used to locate a specific page. \n\nThis parameter value is obtained from the `link` value in the response header of this API after you have queried the pagination information. \n\nFor example, if the `link` value you obtained is `<https://{handle}.myshopline.com/admin/openapi/{version}/selling_plan_group/selling_plan_group.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"next\"` , the value of `page_info` is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` . \nFor more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "page_info",
        "description": "Paging information",
        "type": "string",
        "example": "eyJzaW5jZUlkIjoiMTQwNTYyMDAyNDU4NDQzNzI0NDExMDAwMDkiLCJkaXJlY3Rpb24iOiJuZXh0In0="
      },
      "example": "eyJzaW5jZUlkIjoiMTQwNTYyMDAyNDU4NDQzNzI0NDExMDAwMDkiLCJkaXJlY3Rpb24iOiJuZXh0In0=",
      "examples": {
        "Specify page info": {
          "value": "eyJzaW5jZUlkIjoiMTQwNjA4ODEyNjA1MjQ1Mzg0ODUxOTMxNDQiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjIsImFwcEtleSI6IjExMWFmZTJmOWJhY2ViOTMwMDRhZjkyYjEyNzY1ODI2MTlmMWRiMjYifQ"
        }
      }
    },
    {
      "name": "since_id",
      "in": "query",
      "description": "Start with specify selling plan group id query",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "since_id",
        "description": "Start with specify selling plan group id query",
        "type": "string",
        "example": "14056200245844372441100010"
      },
      "example": "14056200245844372441100010",
      "examples": {
        "Specify since id": {
          "value": "14060881260524538485193144"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        },
        "link": {
          "description": "The URL link that provides the pagination data. You can obtain `page_info` from this parameter for subsequent pagination requests. \n\nThis parameter is returned when the requested page has a previous or next page. \n\nFor more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
          "example": "<https://{handle}.myshopline.com/admin/openapi/{version}/selling_plan_group/selling_plan_group.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"previous\",<https://{handle}.myshopline.com/admin/openapi/{version}/selling_plan_group/selling_plan_group.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJwcmUiLCJsaW1pdCI6MX0=>; rel=\"next\""
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "selling_plan_group_list": {
                "name": "selling_plan_group_list",
                "description": "List of sales plan groups",
                "type": "array",
                "items": {
                  "name": "selling_plan_group_list",
                  "description": "List of sales plan groups",
                  "type": "object",
                  "properties": {
                    "options": {
                      "name": "options",
                      "description": "List of sales plan group options",
                      "type": "array",
                      "items": {
                        "name": "options",
                        "description": "List of sales plan group options",
                        "type": "string",
                        "example": "[\"delivery every 1 months\", \"delivery every 2 months\", \"delivery every 3 months\"]"
                      },
                      "example": [
                        "[\"delivery every 1 months\", \"delivery every 2 months\", \"delivery every 3 months\"]"
                      ]
                    },
                    "position": {
                      "name": "position",
                      "description": "Display location",
                      "type": "integer",
                      "example": 1
                    },
                    "product_count": {
                      "name": "product_count",
                      "description": "Associated Product count",
                      "type": "integer",
                      "example": 10
                    },
                    "app_id": {
                      "name": "app_id",
                      "description": "Sales channel id",
                      "type": "string",
                      "example": "c41ac9e6736785502d2333d1b1153aca795075c4"
                    },
                    "description": {
                      "name": "description",
                      "description": "Description",
                      "type": "string",
                      "example": "This is a description"
                    },
                    "id": {
                      "name": "id",
                      "description": "Sales plan group id",
                      "type": "string",
                      "example": "14056200245844372441100009"
                    },
                    "merchant_code": {
                      "name": "merchant_code",
                      "description": "Show the name to the seller",
                      "type": "string",
                      "example": "Subscription plan group default name"
                    },
                    "name": {
                      "name": "name",
                      "description": "Sales plan group name",
                      "type": "string",
                      "example": "Subscription plan group default name"
                    }
                  },
                  "example": {
                    "app_id": "c41ac9e6736785502d2333d1b1153aca795075c4",
                    "description": "This is a description",
                    "id": "14056200245844372441100009",
                    "merchant_code": "Subscription plan group default name",
                    "name": "Subscription plan group default name",
                    "options": [
                      "[\"delivery every 1 months\", \"delivery every 2 months\", \"delivery every 3 months\"]"
                    ],
                    "position": 1,
                    "product_count": 10
                  }
                },
                "example": [
                  {
                    "description": "This is a description",
                    "id": "14056200245844372441100009",
                    "merchant_code": "Subscription plan group default name",
                    "name": "Subscription plan group default name",
                    "options": [
                      "[\"delivery every 1 months\", \"delivery every 2 months\", \"delivery every 3 months\"]"
                    ],
                    "position": 1,
                    "product_count": 10,
                    "app_id": "c41ac9e6736785502d2333d1b1153aca795075c4"
                  }
                ]
              }
            },
            "example": {
              "selling_plan_group_list": [
                {
                  "app_id": "c41ac9e6736785502d2333d1b1153aca795075c4",
                  "description": "This is a description",
                  "id": "14056200245844372441100009",
                  "merchant_code": "Subscription plan group default name",
                  "name": "Subscription plan group default name",
                  "options": [
                    "[\"delivery every 1 months\", \"delivery every 2 months\", \"delivery every 3 months\"]"
                  ],
                  "position": 1,
                  "product_count": 10
                }
              ]
            }
          },
          "examples": {
            "Specify name": {
              "value": {
                "selling_plan_group_list": [
                  {
                    "product_count": 1,
                    "app_id": "111afe2f9baceb93004af92b1276582619f1db26",
                    "description": "Thisisadescription",
                    "id": "14060881232364316992673144",
                    "merchant_code": "Subscriptionplangroupdefaultname",
                    "name": "Subscriptionplangroupdefaultname",
                    "options": [
                      "deliveryevery1months"
                    ],
                    "position": 1
                  },
                  {
                    "position": 1,
                    "product_count": 1,
                    "app_id": "111afe2f9baceb93004af92b1276582619f1db26",
                    "description": "This is a description",
                    "id": "14060881260524538485193144",
                    "merchant_code": "Subscription plan group default name",
                    "name": "Subscription plan group default name",
                    "options": [
                      "delivery every 1 months"
                    ]
                  },
                  {
                    "merchant_code": "Subscription plan group default name",
                    "name": "Subscription plan group default name 3",
                    "options": [
                      "delivery every 1 months"
                    ],
                    "position": 1,
                    "product_count": 1,
                    "app_id": "111afe2f9baceb93004af92b1276582619f1db26",
                    "description": "This is a description",
                    "id": "14060881274779635621973144"
                  },
                  {
                    "options": [
                      "delivery every 1 months"
                    ],
                    "position": 1,
                    "product_count": 1,
                    "app_id": "111afe2f9baceb93004af92b1276582619f1db26",
                    "description": "This is a description",
                    "id": "14060881275356100764933144",
                    "merchant_code": "Subscription plan group default name",
                    "name": "Subscription plan group default name 4"
                  },
                  {
                    "app_id": "111afe2f9baceb93004af92b1276582619f1db26",
                    "description": "This is a description",
                    "id": "14060881275906728976533144",
                    "merchant_code": "Subscription plan group default name",
                    "name": "Subscription plan group default name 5",
                    "options": [
                      "delivery every 1 months"
                    ],
                    "position": 1,
                    "product_count": 1
                  }
                ]
              }
            },
            "Specify page info": {
              "value": {
                "selling_plan_group_list": [
                  {
                    "description": "This is a description",
                    "id": "14060881274779635621973144",
                    "merchant_code": "Subscription plan group default name",
                    "name": "Subscription plan group default name 3",
                    "options": [
                      "delivery every 1 months"
                    ],
                    "position": 1,
                    "product_count": 1,
                    "app_id": "111afe2f9baceb93004af92b1276582619f1db26"
                  },
                  {
                    "product_count": 1,
                    "app_id": "111afe2f9baceb93004af92b1276582619f1db26",
                    "description": "This is a description",
                    "id": "14060881275356100764933144",
                    "merchant_code": "Subscription plan group default name",
                    "name": "Subscription plan group default name 4",
                    "options": [
                      "delivery every 1 months"
                    ],
                    "position": 1
                  }
                ]
              }
            },
            "Specify since id": {
              "value": {
                "selling_plan_group_list": [
                  {
                    "id": "14060881274779635621973144",
                    "merchant_code": "Subscription plan group default name",
                    "name": "Subscription plan group default name 3",
                    "options": [
                      "delivery every 1 months"
                    ],
                    "position": 1,
                    "product_count": 1,
                    "app_id": "111afe2f9baceb93004af92b1276582619f1db26",
                    "description": "This is a description"
                  },
                  {
                    "options": [
                      "delivery every 1 months"
                    ],
                    "position": 1,
                    "product_count": 1,
                    "app_id": "111afe2f9baceb93004af92b1276582619f1db26",
                    "description": "This is a description",
                    "id": "14060881275356100764933144",
                    "merchant_code": "Subscription plan group default name",
                    "name": "Subscription plan group default name 4"
                  },
                  {
                    "position": 1,
                    "product_count": 1,
                    "app_id": "111afe2f9baceb93004af92b1276582619f1db26",
                    "description": "This is a description",
                    "id": "14060881275906728976533144",
                    "merchant_code": "Subscription plan group default name",
                    "name": "Subscription plan group default name 5",
                    "options": [
                      "delivery every 1 months"
                    ]
                  }
                ]
              }
            },
            "Specify time\t": {
              "value": {
                "selling_plan_group_list": [
                  {
                    "options": [
                      "deliveryevery1months"
                    ],
                    "position": 1,
                    "product_count": 1,
                    "app_id": "111afe2f9baceb93004af92b1276582619f1db26",
                    "description": "Thisisadescription",
                    "id": "14060881232364316992673144",
                    "merchant_code": "Subscriptionplangroupdefaultname",
                    "name": "Subscriptionplangroupdefaultname"
                  },
                  {
                    "id": "14060881260524538485193144",
                    "merchant_code": "Subscription plan group default name",
                    "name": "Subscription plan group default name",
                    "options": [
                      "delivery every 1 months"
                    ],
                    "position": 1,
                    "product_count": 1,
                    "app_id": "111afe2f9baceb93004af92b1276582619f1db26",
                    "description": "This is a description"
                  },
                  {
                    "position": 1,
                    "product_count": 1,
                    "app_id": "111afe2f9baceb93004af92b1276582619f1db26",
                    "description": "This is a description",
                    "id": "14060881274779635621973144",
                    "merchant_code": "Subscription plan group default name",
                    "name": "Subscription plan group default name 3",
                    "options": [
                      "delivery every 1 months"
                    ]
                  },
                  {
                    "id": "14060881275356100764933144",
                    "merchant_code": "Subscription plan group default name",
                    "name": "Subscription plan group default name 4",
                    "options": [
                      "delivery every 1 months"
                    ],
                    "position": 1,
                    "product_count": 1,
                    "app_id": "111afe2f9baceb93004af92b1276582619f1db26",
                    "description": "This is a description"
                  },
                  {
                    "description": "This is a description",
                    "id": "14060881275906728976533144",
                    "merchant_code": "Subscription plan group default name",
                    "name": "Subscription plan group default name 5",
                    "options": [
                      "delivery every 1 months"
                    ],
                    "position": 1,
                    "product_count": 1,
                    "app_id": "111afe2f9baceb93004af92b1276582619f1db26"
                  }
                ]
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/selling_plan_group/selling_plan_group.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Query multiple selling programs",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_selling_plan_group"
  ]
}
```